Bug 249217 - www/py-meld3: Update to 2.0.1
Summary: www/py-meld3: Update to 2.0.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Fernando Apesteguía
URL:
Keywords: buildisok, needs-qa
Depends on:
Blocks:
 
Reported: 2020-09-09 17:18 UTC by Gian-Simon Purkert
Modified: 2020-11-12 11:53 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (tn)


Attachments
Update to 2.0.1 (1.33 KB, patch)
2020-09-09 17:18 UTC, Gian-Simon Purkert
no flags Details | Diff
Update to 2.0.1 (1.54 KB, patch)
2020-10-06 11:40 UTC, Gian-Simon Purkert
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Gian-Simon Purkert 2020-09-09 17:18:08 UTC
Created attachment 217851 [details]
Update to 2.0.1
Comment 1 Automation User 2020-09-09 21:08:40 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/187993261
Comment 2 Fernando Apesteguía freebsd_committer 2020-09-10 12:31:28 UTC
^Triage: If there is a changelog or release notes URL available for this version, please add it to the URL field.

Q/A: Consider defining LICENSE (According to https://pypi.org/project/meld3/, it seems to be a BSD-style license)

Thanks!
Comment 3 daniel.engberg.lists 2020-09-13 20:26:19 UTC
Please set EXPIRATION_DATE as its deprecated by upstream https://pypi.org/project/meld3/
Comment 4 Gian-Simon Purkert 2020-10-06 11:40:17 UTC
Created attachment 218559 [details]
Update to 2.0.1

Fix: DEPRECATED and EXPIRATION_DATE
Comment 5 Gian-Simon Purkert 2020-11-10 19:21:31 UTC
Any updates?
Comment 6 commit-hook freebsd_committer 2020-11-12 11:53:07 UTC
A commit references this bug:

Author: fernape
Date: Thu Nov 12 11:52:58 UTC 2020
New revision: 554952
URL: https://svnweb.freebsd.org/changeset/ports/554952

Log:
  www/py-meld3: Update to 2.0.1 and DEPRECATE

  The meld3 package should be considered unmaintained as of April 2020.
  See https://pypi.org/project/meld3/

  This is a leaf port.

  PR:	249217
  Submitted by:	gspurki@gmail.com
  Approved by:	tn@0x746e.org.ua (maintainer timeout > 1 month)

Changes:
  head/www/py-meld3/Makefile
  head/www/py-meld3/distinfo
  head/www/py-meld3/pkg-descr
Comment 7 Fernando Apesteguía freebsd_committer 2020-11-12 11:53:39 UTC
Committed,

Thanks!